Bug 174961 - graphics/xsane fails to compile
Summary: graphics/xsane fails to compile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-04 04:20 UTC by Eric Kraußer
Modified: 2013-01-08 00:10 UTC (History)
0 users

See Also:


Attachments
graphics_sane-backends_Makefile.patch (411 bytes, patch)
2013-01-05 05:24 UTC, Eric Kraußer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Kraußer 2013-01-04 04:20:00 UTC
graphics/xsane fails to compile:

xsane-back-gtk.o: In function `xsane_control_option':
xsane-back-gtk.c:(.text+0x3faf): undefined reference to `sane_control_option'
xsane-back-gtk.o: In function `xsane_back_gtk_set_option':
xsane-back-gtk.c:(.text+0x4513): undefined reference to `sane_strstatus'
.. (many more undefined references)

How-To-Repeat: cd /usr/ports/graphics/xsane && make clean; make
Comment 1 nemysis 2013-01-04 10:43:08 UTC
Hello

I have to this issue

port test
...
checking for SANE - version >= 1.0.0... Package sane-backends was not found in the pkg-config search path.
Perhaps you should add the directory containing `sane-backends.pc'
to the PKG_CONFIG_PATH environment variable
No package 'sane-backends' found
Package sane-backends was not found in the pkg-config search path.
Perhaps you should add the directory containing `sane-backends.pc'
to the PKG_CONFIG_PATH environment variable
No package 'sane-backends' found
Package sane-backends was not found in the pkg-config search path.
Perhaps you should add the directory containing `sane-backends.pc'
to the PKG_CONFIG_PATH environment variable
No package 'sane-backends' found yes
...


Have writed to Developer Oliver Rauch <oliver.rauch@rauch-domain.de>
and got a answer


Re: XSane 0.998  build failure

> looks like sane-backends is not installed.

>> checking for sane-config... /usr/local/bin/sane-config
>> checking for SANE - version >= 1.0.0... Package sane-backends was not found in the pkg-config search path.
>> Perhaps you should add the directory containing `sane-backends.pc'
>> to the PKG_CONFIG_PATH environment variable
>> No package 'sane-backends' found  


> Oliver

Mine Answer to him

> Hello
 
> sane-backends are installed but XSane not find it

> pkg info sane-backends
> sane-backends-1.0.23           API for access to scanners, digitals camera, frame grabbers etc


> And have installed

> pkg info -l sane-backends-1.0.23


> /usr/local/bin/gamma4scanimage
> /usr/local/bin/sane-config
> /usr/local/bin/sane-find-scanner
> /usr/local/bin/scanimage
> /usr/local/etc/rc.d/saned
> /usr/local/etc/sane.d/dist/abaton.conf
> ...
> /usr/local/libdata/pkgconfig/sane-backends.pc
> ...


> Not as in GNU/Linux in this is problem

> /usr/local/lib/pkgconfig/
Comment 2 Eric Kraußer 2013-01-05 05:24:42 UTC
graphics/xsane fails to compile, because `sane-config --libs` (from
graphics/sane-backends) can not find
/usr/local/libdata/pkgconfig/sane-backends.pc

To solve this problem apply the attached patch against
/usr/ports/graphics/sane-backends/Makefile, please.

Eric
Comment 3 Jason Helfman freebsd_committer 2013-01-05 05:37:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 4 araujobsdport 2013-01-07 03:36:05 UTC
2013/1/5 Eric Krausser <eric@krausser-edv.de>

> graphics/xsane fails to compile, because `sane-config --libs` (from
> graphics/sane-backends) can not find
> /usr/local/libdata/pkgconfig/sane-backends.pc
>
> To solve this problem apply the attached patch against
> /usr/ports/graphics/sane-backends/Makefile, please.
>
>
Dear Eric,

Thank you so much for the patch.
I'm gonna make some tests and soon as possible I'm gonna commit it.


Best Regards,



-- 
Marcelo Araujo
araujo@FreeBSD.org
Comment 5 Jason Helfman freebsd_committer 2013-01-07 04:25:12 UTC
I am already working on this, and plan on committing it very soon, myself.
-jgh

--
Jason Helfman          | FreeBSD Committer
jgh@FreeBSD.org     | http://people.freebsd.org/~jgh  | The Power to Serve


On Sun, Jan 6, 2013 at 7:40 PM, Marcelo Araujo <araujobsdport@gmail.com>wrote:

> The following reply was made to PR ports/174961; it has been noted by
> GNATS.
>
> From: Marcelo Araujo <araujobsdport@gmail.com>
> To: Eric Krausser <eric@krausser-edv.de>
> Cc: bug-followup@freebsd.org, nemysis <nemysis@gmx.ch>
> Subject: Re: ports/174961: graphics/xsane fails to compile
> Date: Mon, 7 Jan 2013 11:36:05 +0800
>
>  --e89a8f3ba77174809804d2aa872b
>  Content-Type: text/plain; charset=ISO-8859-1
>
>  2013/1/5 Eric Krausser <eric@krausser-edv.de>
>
>  > graphics/xsane fails to compile, because `sane-config --libs` (from
>  > graphics/sane-backends) can not find
>  > /usr/local/libdata/pkgconfig/sane-backends.pc
>  >
>  > To solve this problem apply the attached patch against
>  > /usr/ports/graphics/sane-backends/Makefile, please.
>  >
>  >
>  Dear Eric,
>
>  Thank you so much for the patch.
>  I'm gonna make some tests and soon as possible I'm gonna commit it.
>
>
>  Best Regards,
>
>
>
>  --
>  Marcelo Araujo
>  araujo@FreeBSD.org
>
>  --e89a8f3ba77174809804d2aa872b
>  Content-Type: text/html; charset=ISO-8859-1
>  Content-Transfer-Encoding: quoted-printable
>
>  <br><br><div class=3D"gmail_quote">2013/1/5 Eric Krausser <span
> dir=3D"ltr"=
>  >&lt;<a href=3D"mailto:eric@krausser-edv.de"
> target=3D"_blank">eric@krausse=
>  r-edv.de</a>&gt;</span><br><blockquote class=3D"gmail_quote"
> style=3D"margi=
>  n:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
>  graphics/xsane fails to compile, because `sane-config --libs` (from<br>
>  graphics/sane-backends) can not find<br>
>  /usr/local/libdata/pkgconfig/sane-backends.pc<br>
>  <br>
>  To solve this problem apply the attached patch against<br>
>  /usr/ports/graphics/sane-backends/Makefile, please.<br><span
> class=3D"HOEnZ=
>  b"><font
> color=3D"#888888"><br></font></span></blockquote><div><br></div><d=
>  iv>Dear Eric,</div><div><br></div><div>Thank you so much for the
> patch.</di=
>  v>
>  <div>I&#39;m gonna make some tests and soon as possible I&#39;m gonna
> commi=
>  t it.</div><div><br></div><div><br></div><div>Best
> Regards,=A0</div></div><=
>  br><br clear=3D"all"><div><br></div>-- <br>Marcelo
> Araujo<br>araujo@FreeBSD=
>  .org
>
>  --e89a8f3ba77174809804d2aa872b--
>
>
Comment 6 araujobsdport 2013-01-07 04:33:06 UTC
2013/1/7 Jason Helfman <jgh@freebsd.org>

> I am already working on this, and plan on committing it very soon, myself.
> -jgh
>
> --
> Jason Helfman          | FreeBSD Committer
> jgh@FreeBSD.org     | http://people.freebsd.org/~jgh  | The Power to Serve
>
>
>
OK, would be great, due I'm busy at work till this weekend, and probably
I'm gonna have free time once again only next week.

Best Regards,
-- 
Marcelo Araujo
araujo@FreeBSD.org
Comment 7 Jason Helfman freebsd_committer 2013-01-08 00:03:28 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 8 dfilter service freebsd_committer 2013-01-08 00:04:59 UTC
Author: jgh
Date: Tue Jan  8 00:02:56 2013
New Revision: 310057
URL: http://svnweb.freebsd.org/changeset/ports/310057

Log:
  - unbreak graphics/xsane by correcting path for PKG_CONFIG_LIBDIR
  
  PR:		174961
  Submitted by:	eric@krausser-edv.de

Modified:
  head/graphics/sane-backends/Makefile

Modified: head/graphics/sane-backends/Makefile
==============================================================================
--- head/graphics/sane-backends/Makefile	Mon Jan  7 21:14:03 2013	(r310056)
+++ head/graphics/sane-backends/Makefile	Tue Jan  8 00:02:56 2013	(r310057)
@@ -3,6 +3,7 @@
 
 PORTNAME=	sane-backends
 PORTVERSION=	1.0.23
+PORTREVISION=	1
 CATEGORIES=	graphics
 MASTER_SITES=	http://alioth.debian.org/frs/download.php/3752/:3752 \
 		http://alioth.debian.org/frs/download.php/3753/:3753 \
@@ -119,6 +120,8 @@ post-patch:
 		${WRKSRC}/Makefile.in
 	@${REINPLACE_CMD} -e '/^pkgconfigdir/s|@libdir@|@prefix@/libdata|' \
 		${WRKSRC}/tools/Makefile.in
+	@${REINPLACE_CMD} -e '/^export PKG_CONFIG_LIBDIR=/s|@libdir@|@prefix@/libdata|' \
+		${WRKSRC}/tools/sane-config.in
 
 post-install:
 .if ${PORT_OPTIONS:MDOCS}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"